{% extends 'base_site.html' %}
{% load static i18n theme_default_tags %}

{% block breadcrumb_items %}
  {% comment %} #TODO base url needed {% endcomment %}
  <li class="breadcrumb-item" aria-current="page"><a href="/">{% trans "Home" %}</a></li>
  <li class="breadcrumb-item" aria-current="page"><a href="{% url 'account_profile' %}">{% trans "Profile" %}</a></li>
{% endblock breadcrumb_items %}

{% block main_wrapper_classes %}container py-6{% endblock %}

{% block content %}
<div class="row">
  <div class="col-md-3 mb-4">
    <div class="text-center">
      <img class="img-fluid rounded-circle w-150px mb-3" width="300" height="300" src="{{ request.user.get_gravatar_url }}" alt="Your avatar image" title="Your avatar image">
      <div class="fs-4">{{ request.user.get_full_name }}</div>
      <div class="small mb-3">@{{ request.user.username }} - {{ request.user.email }}</div>
      {% if request.user.is_authenticated %}
        <div class="card border mb-3">
          <div class="card-body text-muted small">We use Gravatar, a service that associates an avatar image with your primary email address—{{ request.user.email }}. <a class="link-danger" href="https://www.gravatar.com/" target="_blank">Change your avatar image at gravatar.com&nbsp;»</a></div>
        </div>
      {% endif %}
    </div>
    <div class="list-group">
      <a href="{% url 'account_profile' %}" class="list-group-item list-group-item-action" aria-current="true">
        <i class="mdi mdi-account-outline"></i>
        {% trans "Profile" %}</a>
      <a href="{% url 'notifications:all' %}" class="list-group-item list-group-item-action">
        <i class="mdi mdi-bell-outline"></i>
        {% trans "Notifications" %}
      </a>
      <a href="{% url 'account_change_password' %}" class="list-group-item list-group-item-action">
        <i class="mdi mdi-lock-outline"></i>
        {% trans "Change Password" %}
      </a>
      <a href="{% url 'account_email' %}" class="list-group-item list-group-item-action">
        <i class="mdi mdi-email-outline"></i>
        {% trans "Change Email" %}
      </a>
      <a href="{% url 'account_logout' %}" class="list-group-item list-group-item-action">
        <i class="mdi mdi-logout-variant"></i>
        {% trans "Logout" %}
      </a>
    </div>
    {% block sidebar_container %}{% endblock sidebar_container %}
  </div>
  <div class="col-md-9 px-md-4">
    {% block body_container %}{% endblock body_container %}
  </div>
</div>
{% endblock content %}
